function BWcel = CelkovaBWdoUzlu(pocatek, konec, BW, pocetuzlu)

%Procedura vypoctu cekove kapacitu vstupujici do uzlu z transportní site.
%BW - kapacita spoje, zadavejte v Bps, Mbps, Gbps
%pocatek - vektor pocatecnich bodu spoju
%konec - vektor koncovych bodu spoju
%pocetuzlu - pocet uzlu site
%BWcel = CelkovaBWdoUzlu(pocatek, konec, BW, pocetuzlu)

disp('******************PARAMETRY CELKOVE KAPACITY*************************')

if nargin ~= 4
    error('Spatny pocet vstupu')
end

delkaPocatek = length(pocatek);
delkaKonec = length(konec);
delkaBW = length(BW');

if delkaPocatek ~= delkaKonec || delkaPocatek ~= delkaBW
    error('Pocet prvku vektoru pocatek, konec, delka a BW musi byt stejny')
end

navrh = sparse(pocatek,konec,BW,pocetuzlu,pocetuzlu);
navrh = navrh + zeros(pocetuzlu,pocetuzlu);

for i = 1:pocetuzlu
    BWcel(i,1) = sum(navrh(i,:)) + sum(navrh(:,i));

end